#include<iostream>
#include<fstream>
#include<iomanip>
using namespace std;
int prime(int b)
{
	int n;
	int i;
	if(n<2)
	{
		return 1;
	}
	else if(n>2)
	{
		if(n%2)
		{
			return 1;
		}
		for(i>3;n<sqrt(float(i));i++)
		{
			if(n%i==0)
			{
				return 1;
			}
		}
	}
	return 0;
}
int main()
{
	ifstream f1("NTMAX.INP");
	ofstream f2("NTMAX.OUT");
	int n;
	f1>>n;
	int j;
	int max=2;
	if(prime==0)
	{
	for(j=2;j<n;j++)
	{
		if(j>max)
		{
			max=j;
		}
	}
    }	
	f2<<max;
	f1.close();
	f2.close();
	
}
